<?php
	defined( "_VALID_PAGE_MONITOR" ) or die ("No direct access");
	
	/* Define language switches */

	/* Install */
	DEFINE('_INSTALLWELCOME', '<p><b>Welcome to the <a href="http://programac.pl">PageMonitor</a> installation module.</b><br/>You will be guided through the necessery steps. ' .
				'PageMonitor requires a PHP enabled web server (apache for example), an FTP server (already set up, you will need credentials) and ' . 
				'a writting permission to create a PageMonitor web configuration file (this can be done manually too).' .
				'</p><p>' .
				'The FTP files the PageMonitor will use need to be visible to the web server. This can be acomplished in many ways. The FTP folder can be put inside a web root folder '.
				'so that its files can be viewed by a web browser. You can also create a symbolic link to that ftp folder and place it inside your web root. Just remember to change '.
				'the ftp folder permissions accordingly. <sup>1</sup>'.
				'</p><p>' .
				'This installer will try to create two files. A file with configuration info for the website ' .
				'(a PHP config file) and an xml, containing information which is required by the InDesign plugin. ' .
				'<u>Both files need to be accessible via the webserver.</u> ' .
				'</p>' );
	
	DEFINE('_PAGEMONITOR_TEXT_A', 'PageMonitor PHP configuration info');
	DEFINE('_ABSOLUTE_FTP_FOLDER', 'Absolute path to the ftp folder (ie. /some folder/ftp_folder/previews, it is the folder PageMonitor will send file to)' );
	DEFINE('_ABSOLUTE_FTP_FOLDER2', 'This folder needs to be accessible by the php functions.' );
	
	DEFINE('ftp_folder2http_folder', 'HTTP path to FTP files.' );
	DEFINE('ftp_folder2http_folder2', 'You need to have a link to your ftp folder that is accessible via your web server. Otherwise PageMonitor will not be able to show any previews. ' .
				 'For instance /the folder, which will be translated later into http://your-website/the folder/. '.
				 'See <sup>1</sup>.' );	
	
	DEFINE('http_location', 'Web folder inside your web root pointing to PageMonitor. Usually it is just PageMonitorPHP.' );
	DEFINE('http_location2', 'If you have renamed the folder PageMonitorPHP to something of your choice enter the new name here.' );	
	
	DEFINE('date_format', 'Desired date format for use in the page previews.');
	DEFINE('date_format2', 'See PHP date formats.');
	
	DEFINE('show_tooltips_for_pages', 'Do you want to show tooltips with additional information when hovering over a particular page preview');
	DEFINE('show_tooltips_for_pages2', '');

	DEFINE('desired_language', 'Language');
	DEFINE('desired_language2', '' );

	DEFINE('_PAGEMONITOR_TEXT_B', 'PageMonitor InDesign plugin configuration info');	
	DEFINE('_XMLFILENAME', 'InDesign plugin configuration xml filename');
	DEFINE('_XMLFILENAME2', 'The filename must end with ".xml". HREF with this filename will be used by the InDesign plugin.');	
	
	DEFINE('_FTPACCESS', 'Address to the ftp server, complete with username, password and path (if neccessary).');
	DEFINE('_FTPACCESS2', 'ie. ftp://username:password@localhost:21/some_path. This data will be encoded in the xml file.');
	
	DEFINE('_PAGEMONITOR_TEXT_C', 'Generate those config files (install)');		
	
	DEFINE('_COULDNOTWRITECONFIGFILE', 'Could not open file PageMonitorConfiguration.php for writting. Configuration file not written. You have to copy the following text to a new file and save it as PageMonitorConfiguration.php. Remember to allow the web server to see it.');
	DEFINE('_COULDNOTWRITECONFIGFILEXML', 'Could not open file "%s" for writting. Configuration file not written. You have to copy the following text to a new file and save it as PageMonitorConfiguration.php. Remember to allow the web server to see it.');
	
	DEFINE('_INSTALLATIONCOMPLETE', '<p>PageMonitor installation has been completed. If setup has not been able to write the configuration files please copy the text in the boxes and create the files yourself.</p><p>To finish the installation proccess please delete the folder "install".</p>');
	
	/* No direct access */
	DEFINE('_NODIRECTACCESS', 'No direct access');
	
	/* Yes, No */
	DEFINE('_YES', 'Yes');
	DEFINE('_NO', 'No');	
	
	/* page_browser.php */
	DEFINE('_NOPREVIEWSTOSHOW', "Could not read any page previews. Is the ftp_folder folder empty?");
	DEFINE('_FILENAME', "Fileame");	
	DEFINE('_SCALEX', "Scale in x axis");
	DEFINE('_SCALEY', "Scale in y axis");
	DEFINE('_MACADDRESS', "MAC address");
	DEFINE('_USERNAME', "Username");
	
	/* product_list_module.php */
	DEFINE('_ALLPAGES', "all pages");
	DEFINE('_PRODUCTLISTMODULE_WRONGPARAM', 'PageMonitorPHP error: Module productList expects parameter params passed to its constructor to be of ProductList type. Cannot continue.');
	DEFINE('_DATE', "Date: ");
	DEFINE('_PRODUCT', "Product: ");
	DEFINE('_REFRESH', "Refresh");
	DEFINE('_SHOWONLYREADYPAGES', 'Show ready pages only');
	
?>